commit ba98f393811f30a15171b5e69b121be81fb2a844
Author: freddy77 <freddy77>
Date:   Fri Dec 19 10:37:51 2008 +0000

    fix pointer error

diff --git a/ChangeLog b/ChangeLog
index 485d1a3..79ebdbd 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Dec 19 11:36:53 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/blk.c: fix memory problem
+	* src/ctlib/ct.c: small optimization
+
 Wed Dec 17 12:10:29 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/config.c: optimize
 
@@ -1094,4 +1098,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2687 2008/12/17 11:12:02 freddy77 Exp $
+$Id: ChangeLog,v 1.2688 2008/12/19 10:37:51 freddy77 Exp $
diff --git a/src/ctlib/blk.c b/src/ctlib/blk.c
index f37732a..7d0a25b 100644
--- a/src/ctlib/blk.c
+++ b/src/ctlib/blk.c
@@ -38,7 +38,7 @@
 #include "ctlib.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: blk.c,v 1.48 2008/12/16 09:26:02 freddy77 Exp $");
+TDS_RCSID(var, "$Id: blk.c,v 1.49 2008/12/19 10:37:51 freddy77 Exp $");
 
 static void _blk_null_error(TDSBCPINFO *bcpinfo, int index, int offset);
 static int _blk_get_col_data(TDSBCPINFO *bulk, TDSCOLUMN *bcpcol, int offset);
@@ -598,7 +598,7 @@ _blk_rowxfer_in(CS_BLKDESC * blkdesc, CS_INT rows_to_xfer, CS_INT * rows_xferred
 		blkdesc->bcpinfo.xfer_init = 1;
 	} 
 
-	blkdesc->bcpinfo.parent = &blkdesc;
+	blkdesc->bcpinfo.parent = blkdesc;
 	for (each_row = 0; each_row < rows_to_xfer; each_row++ ) {
 
 		if (tds_bcp_send_record(tds, &blkdesc->bcpinfo, _blk_get_col_data, _blk_null_error, each_row) == TDS_SUCCEED) {
@@ -639,6 +639,8 @@ _blk_get_col_data(TDSBCPINFO *bulk, TDSCOLUMN *bindcol, int offset)
 	 * and increment it if offset specified
 	 */
 
+	tdsdump_log(TDS_DBG_FUNC, "_blk_get_col_data(%p, %p, %d)\n", bulk, bindcol, offset);
+
 	src = (unsigned char *) bindcol->column_varaddr;
 	src += offset * bindcol->column_bindlen;
 	
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index ec95596..46c3dea 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.184 2008/12/17 11:04:34 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.185 2008/12/19 10:37:51 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -264,12 +264,11 @@ ct_con_alloc(CS_CONTEXT * ctx, CS_CONNECTION ** con)
 	login = tds_alloc_login();
 	if (!login)
 		return CS_FAIL;
-	*con = (CS_CONNECTION *) malloc(sizeof(CS_CONNECTION));
+	*con = (CS_CONNECTION *) calloc(1, sizeof(CS_CONNECTION));
 	if (!*con) {
 		tds_free_login(login);
 		return CS_FAIL;
 	}
-	memset(*con, '\0', sizeof(CS_CONNECTION));
 	(*con)->tds_login = login;
 
 	/* so we know who we belong to */

